package com.jxdinfo.hussar.core.util;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.jxdinfo.hussar.core.auto.common.MultiSetMap;
import com.jxdinfo.hussar.core.cache.CacheEntry;
import java.sql.Timestamp;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.time.DateFormatUtils;
import org.apache.commons.lang3.time.DateUtils;

public class DateUtil {
  public static Date addWeek(Date a, int i) {
    Calendar calendar = Calendar.getInstance();
    calendar.setTime(a);
    calendar.add(3, i);
    return calendar.getTime();
  }
  
  public static String format(Date a, String str) {
    return DateFormatUtils.format(a, str);
  }
  
  public static String getTime() {
    return formatDate(new Date(), "yyyy-MM-dd HH:mm:ss");
  }
  
  public static Timestamp format(Date a) {
    return new Timestamp(a.getTime());
  }
  
  public static Date addSecond(Date a, int i) {
    return new Date(a.getTime() + 1000L * i);
  }
  
  public static Date addMinute(Date a, int i) {
    return new Date(a.getTime() + 60000L * i);
  }
  
  public static String getAfterDayWeek(String a) {
    int i = Integer.parseInt(a);
    Calendar.getInstance().add(5, i);
    Date date = Calendar.getInstance().getTime();
    return (new SimpleDateFormat(MultiSetMap.const("\b"))).format(date);
  }
  
  public static boolean compareDate(String a, String str1) {
    if (parseDate(a) == null || parseDate(str1) == null)
      return false; 
    return (parseDate(a).getTime() >= parseDate(str1).getTime());
  }
  
  public static Date addYear(Date a, int i) {
    Calendar calendar = Calendar.getInstance();
    calendar.setTime(a);
    calendar.add(1, i);
    return calendar.getTime();
  }
  
  public static String getYear() {
    return formatDate(new Date(), CacheEntry.abstract("j\021y\002"));
  }
  
  public static String getMsTime() {
    return formatDate(new Date(), "yyyy-MM-dd HH:mm:ss.SSS");
  }
  
  public static String getDays(Date a) {
    return formatDate(a, MultiSetMap.const("[\033~>R\022q1"));
  }
  
  public static Date addMonth(Date a, int i) {
    Calendar calendar = Calendar.getInstance();
    calendar.setTime(a);
    calendar.add(2, i);
    return calendar.getTime();
  }
  
  public static int getDiffYear(String a, String str1) {
    SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
    try {
      return (int)((simpleDateFormat.parse(str1).getTime() - simpleDateFormat.parse(a).getTime()) / 86400000L / 365L);
    } catch (Exception exception) {
      return 0;
    } 
  }
  
  public static Date parse(String a, String str1) {
    try {
      true;
      true[0] = str1;
      return DateUtils.parseDate((String)new String[1], true);
    } catch (ParseException parseException) {
      parseException.printStackTrace();
      return null;
    } 
  }
  
  public static int getDiffYear(Date a, Date date1) {
    try {
      return (int)((date1.getTime() - a.getTime()) / 86400000L / 365L);
    } catch (Exception exception) {
      return 0;
    } 
  }
  
  public static Date parseTime(String a) {
    return parse(a, "yyyy-MM-dd HH:mm:ss");
  }
  
  public static String getTime(Date a) {
    return formatDate(a, "yyyy-MM-dd HH:mm:ss");
  }
  
  public static String getDays() {
    return formatDate(new Date(), CacheEntry.abstract("O4j\021F=e\036"));
  }
  
  public static long getDaySub(String a, String str1) {
    long l = 0L;
    SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
    Date date1 = null;
    Date date2 = null;
    try {
      date1 = simpleDateFormat.parse(a);
      date2 = simpleDateFormat.parse(str1);
    } catch (ParseException parseException) {
      parseException.printStackTrace();
    } 
    return l = (date2.getTime() - date1.getTime()) / 86400000L;
  }
  
  public static String getDay(Date a) {
    return formatDate(a, "yyyy-MM-dd");
  }
  
  public static Date addHour(Date a, int i) {
    return new Date(a.getTime() + 3600000L * i);
  }
  
  public static String formatDate(Date a, String str) {
    String str1 = null;
    if (StringUtils.isNotBlank(str))
      return str1 = DateFormatUtils.format(a, str); 
    return str1 = DateFormatUtils.format(a, "yyyy-MM-dd");
  }
  
  public static Date parseDate(String a) {
    return parse(a, "yyyy-MM-dd");
  }
  
  public static String getDay() {
    return formatDate(new Date(), "yyyy-MM-dd");
  }
  
  public static String getAfterDayDate(String a) {
    int i = Integer.parseInt(a);
    Calendar.getInstance().add(5, i);
    Date date = Calendar.getInstance().getTime();
    return (new SimpleDateFormat("yyyy-MM-dd HH:mm:ss")).format(date);
  }
  
  public static String getAllTime() {
    return formatDate(new Date(), CacheEntry.abstract("J1g\034S(B9S(r\td\037"));
  }
  
  public static boolean isValidDate(String a) {
    return (parse(a, "yyyy-MM-dd HH:mm:ss") != null);
  }
  
  public static int compareDate(Date a, Date date1) {
    return a.compareTo(date1);
  }
  
  public static boolean isValidDate(String a, String str1) {
    return (parse(a, str1) != null);
  }
  
  public static String getYear(Date a) {
    return formatDate(a, MultiSetMap.const("~>m-"));
  }
  
  public static Date addDay(Date a, int i) {
    return new Date(a.getTime() + 86400000L * i);
  }
  
  public static String volatile(String a) {
    1.0F;
    true;
    int i = new char[(a = a).length()] - 1;
    boolean bool = true;
    int n = (a = a).length();
    new char[(a = a).length()] - 1;
    int k = 4 << 3 ^ 0x4;
    new char[(a = a).length()] - 1;
    int j = 2 << 3 ^ 0x3;
    int m = j;
    float f = 2.0F;
  }
}
